.video_fondo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1; /* Coloca el video detrás de todo */
}

.video_settings {
    object-fit: cover;
    filter: brightness(1.5) contrast(1.2) hue-rotate(320deg);
    width: 100%;
    height: 100%;
}

.video_fondo::after{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
     background-image: radial-gradient(circle at 36% 48%, #474448, rgba(27, 27, 30, 0.6)  90%, rgba(0, 0, 0, 0));
}

body {
    margin: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    overflow: hidden; /* Evita que el video se desplace al hacer scroll */
}

.content-fluid {
        width: 50%;
        height: 550px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: rgba(0, 0, 0, 0);
        border-radius: 10px;
        display: flex;
        overflow: hidden;
        z-index: 1;
    }

.content-fluid {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card {
    overflow: visible;
    width: 210px;
    height: 274px;
    margin-right: 30px;
    /* Agrega un margen derecho entre las tarjetas */
     position: relative; /* Ajusta la posición relativa para que el z-index funcione */
    z-index: 2; /* Coloca las cartas sobre el video */
}

.content {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 300ms;
    box-shadow: 0px 0px 10px 1px #000000ee;
    border-radius: 5px;
}

.front,
.back {
    background-color: white;
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    border-radius: 5px;
    overflow: hidden;
}

.back {
    width: 100%;
    height: 100%;
    justify-content: center;
    display: flex;
    align-items: center;
    overflow: hidden;
}

.back::before {
    position: absolute;
    content: ' ';
    display: block;
    width: 160px;
    height: 160%;
    background: linear-gradient(90deg, transparent, #ff0000, #ff0000, #ff0000, #ff0000, transparent);
    animation: rotation_481 5000ms infinite linear;
}

.back-content-1 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/sport_logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.back-content-2 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/comodin_logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.back-content-3 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/reckrear_logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.card:hover .content {
    transform: rotateY(180deg);
}

@keyframes rotation_481 {
    0% {
        transform: rotateZ(0deg);
    }

    0% {
        transform: rotateZ(360deg);
    }
}

.front {
    transform: rotateY(180deg);
    color: white;
}

.front .front-content-1 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/picas1.jpeg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.front .front-content-2 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/corazon1.jpeg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.front .front-content-3 {
    position: absolute;
    width: 99%;
    height: 99%;
    background-color: white;
    border-radius: 5px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-image: url('assets/trebol1.jpeg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.front-content .badge {
    background-color: #00000055;
    padding: 2px 10px;
    border-radius: 10px;
    backdrop-filter: blur(2px);
    width: fit-content;
}

.description {
    box-shadow: 0px 0px 10px 5px #00000088;
    width: 100%;
    padding: 10px;
    background-color: #00000099;
    backdrop-filter: blur(5px);
    border-radius: 5px;
}

.title {
    font-size: 11px;
    max-width: 100%;
    display: flex;
    justify-content: space-between;
}

.title p {
    width: 50%;
}

.card-footer {
    color: #ffffff88;
    margin-top: 5px;
    font-size: 8px;
}

.front .img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top center;
}

.font-style-1 {
    font-size: 12px;
    font-family: 'Bebas Neue', sans-serif;
    color: black;
}

.font-style-2 {
    font-size: 16px;
    font-family: 'Bebas Neue', sans-serif;
    color: black;
}

.btn:link,
.btn:visited {
    text-transform: uppercase;
    text-decoration: none;
    color: rgb(27, 27, 27);
    background-color: white;
    padding: 10px 30px;
    border: 3px solid;
    border-radius: 1000px;
    display: inline-block;
    transition: all .2s;
    position: relative;
    bottom: -10px;
    /* Ajusta el valor para cambiar la posici贸n vertical del bot贸n */
    left: 20%;
    font-family: 'Bebas Neue', sans-serif;
}

.btn:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(27, 27, 27, .5);
}

.btn:active {
    transform: translateY(-3px);
}

.btn::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 100px;
    top: 0;
    left: 0;
    position: absolute;
    z-index: -1;
    transition: all .3s;
}

.btn:hover::after {
    background-color: rgb(0, 238, 255);
    transform: scaleX(1.4) scaleY(1.5);
    opacity: 0;
}

/* Estilos para dispositivos móviles */
@media screen and (max-width: 800px) {
  /* Establecer el flujo de las tarjetas como columna */
  .content-fluid {
    flex-direction: column;
    align-items: center; /* Alinear las tarjetas al centro */
  }

  /* Ajustar el tamaño de las tarjetas */
  .card {
      
    width: 60%; /* Puedes ajustar este valor según tu diseño */
    margin-bottom: 70px; /* Espacio entre las tarjetas */
  }
}

@keyframes floating {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(10px);
    }

    100% {
        transform: translateY(0px);
    }
}